--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 12/229
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              25/04/2012 M Davenport       9.0.014.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
--
PROMPT
PROMPT Script to regress MDD change 12/229
PROMPT
PROMPT Version 9.0.014.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Delete MTX as MAM.  (MDD 12/229)
PROMPT Note it is a prerequisite that regress_patch_mdd_12_230 is run prior to this script
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);


BEGIN
       EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''MTX''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';


    EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                     WHERE MARKET_PARTICIPANT_CODE = ''MTX''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--

